Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tangosol.util
Class RestrictedCollections.RestrictedEntrySet.RestrictedEntry

`java.lang.Object
com.tangosol.util.Base
com.tangosol.util.RestrictedCollections.RestrictedEntrySet.RestrictedEntry`

All Implemented Interfaces:
  Serializable, Map.Entry

Enclosing class:
  RestrictedCollections.RestrictedEntrySet

      protected class RestrictedCollections.RestrictedEntrySet.RestrictedEntry

extends Base
implements Map.Entry, Serializable

A Map Entry that restricts the key and value types.

Field Summary
`protected Map.Entry` | `m_entry`

Constructor Summary
`RestrictedCollections.RestrictedEntrySet.RestrictedEntry(Map.Entry entry)` Constructor.

Method Summary
`boolean` | `equals(Object o)` Compares the specified object with this entry for equality.
`Object` | `getKey()` Returns the key corresponding to this entry.
`Object` | `getValue()` Returns the value corresponding to this entry.
`int` | `hashCode()` Returns the hash code value for this map entry.
`Object` | `setValue(Object value)` Replaces the value corresponding to this entry with the specified value.
`String` | `toString()` Return a String description for this Entry.

Field Detail

### m_entry

    protected Map.Entry m_entry

Constructor Detail

### RestrictedCollections.RestrictedEntrySet.RestrictedEntry

    public RestrictedCollections.RestrictedEntrySet.RestrictedEntry(Map.Entry entry)

  Constructor.
  Parameters:
    `entry` - the Entry to wrap

Method Detail

### getKey

    public Object getKey()

  Returns the key corresponding to this entry.
  Specified by:
    `getKey` in interface `Map.Entry`
  Returns:
    the key corresponding to this entry

### getValue

    public Object getValue()

  Returns the value corresponding to this entry.
  Specified by:
    `getValue` in interface `Map.Entry`
  Returns:
    the value corresponding to this entry

### setValue

    public Object setValue(Object value)

  Replaces the value corresponding to this entry with the specified value.
  Specified by:
    `setValue` in interface `Map.Entry`
  Parameters:
    `value` - new value to be stored in this entry
  Returns:
    old value corresponding to the entry
  Throws:
    `ClassCastException` - if the class of the specified value prevents it from being stored in the backing map

### equals

    public boolean equals(Object o)

  Compares the specified object with this entry for equality.
  Specified by:
    `equals` in interface `Map.Entry`
  Parameters:
    `o` - object to be compared for equality with this map entry
  Returns:
    `true` if the specified object is equal to this map entry

### hashCode

    public int hashCode()

  Returns the hash code value for this map entry.
  Specified by:
    `hashCode` in interface `Map.Entry`
  Returns:
    the hash code value for this map entry
  See Also:
    `Object.hashCode()`, `Object.equals(Object)`, `Map.Entry.equals(Object)`

### toString

    public String toString()

  Return a String description for this Entry.
  Returns:
    a String description of the Entry

Skip navigation links

Overview | Package | Class | Tree | Index | Help
| Oracle® Coherence Java API Reference Release 3.6.0.0 E15725-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2010, Oracle and/or its affiliates. All rights reserved.